# Interface InputArchive

All Known Implementing Classes:
  `BinaryInputArchive`

public interface InputArchive
Interface that all the Deserializers have to implement.

## Method Summary

Modifier and Type
Method
Description
`void`
`endMap(String tag)`
`void`
`endRecord(String tag)`
`void`
`endVector(String tag)`
`boolean`
`readBool(String tag)`
`byte[]`
`readBuffer(String tag)`
`byte`
`readByte(String tag)`
`double`
`readDouble(String tag)`
`float`
`readFloat(String tag)`
`int`
`readInt(String tag)`
`long`
`readLong(String tag)`
`void`
`readRecord(Record r, String tag)`
`String`
`readString(String tag)`
`Index`
`startMap(String tag)`
`void`
`startRecord(String tag)`
`Index`
`startVector(String tag)`

## Method Details

### readByte

byte readByte(String tag) throws IOException

Throws:
  `IOException`

### readBool

boolean readBool(String tag) throws IOException

Throws:
  `IOException`

### readInt

int readInt(String tag) throws IOException

Throws:
  `IOException`

### readLong

long readLong(String tag) throws IOException

Throws:
  `IOException`

### readFloat

float readFloat(String tag) throws IOException

Throws:
  `IOException`

### readDouble

double readDouble(String tag) throws IOException

Throws:
  `IOException`

### readString

String readString(String tag) throws IOException

Throws:
  `IOException`

### readBuffer

byte[] readBuffer(String tag) throws IOException

Throws:
  `IOException`

### readRecord

void readRecord(Record r, String tag) throws IOException

Throws:
  `IOException`

### startRecord

void startRecord(String tag) throws IOException

Throws:
  `IOException`

### endRecord

void endRecord(String tag) throws IOException

Throws:
  `IOException`

### startVector

Index startVector(String tag) throws IOException

Throws:
  `IOException`

### endVector

void endVector(String tag) throws IOException

Throws:
  `IOException`

### startMap

Index startMap(String tag) throws IOException

Throws:
  `IOException`

### endMap

void endMap(String tag) throws IOException

Throws:
  `IOException`